Skip to content

Run campaign.​

POST
/backend/v1/campaign-runs

Runs the campaign using the specified providers. The provided name helps identify the campaign run.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"campaignId": "string",
  
"name": "string",
  
"providerIds": [
  
  
"string"
  
],
  
"remediationSettings": {
  
  
"autorun": false
  
}
}

Responses​

Successful Response

application/json
JSON
{
  
"id": "string"
}

Playground​

Server
Authorization
Body

Samples​

Powered by VitePress OpenAPI

Updated at: